# Component Explorer

This is a command line utility that allows you to interact with the Component
Explorer exposed by EveryMatrix. It provides the basic functionality for installing
publishing and searching for components.

## Getting started

Install the tool via npm:

`$ sudo npm install -g cex`

Check out the help to get you started via `cex --help`

```
$ cex --help

  Usage: cex <command> [options]

  Commands:

    install [component]
       install component that match name

    login
       Login to the CEX registry

    publish
       Publish a package to the CEX registry

    search [pattern]
       List all components that match a certain pattern


  Options:

    -h, --help     output usage information
    -V, --version  output the version number
    -v, --verbose  display verbose output
```
